Search firm staff members
curl --request GET \
--url https://api.smokeball.com/staff \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/staff"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/staff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smokeball.com/staff",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.smokeball.com/staff"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.smokeball.com/staff")
.header("x-api-key", "<api-key>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smokeball.com/staff")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"versionId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"title": "Mr",
"firstName": "John",
"middleName": "",
"lastName": "Smith",
"initials": "JS",
"phone": {
"areaCode": "555",
"number": "1234567"
},
"cell": {
"areaCode": "555",
"number": "1234567"
},
"email": "john.smith@brown.com",
"role": "Bookkeeper",
"rate": 150,
"avatar": "https://example-avatar-url.com/image",
"former": false,
"enabled": true,
"userId": "14b5dd57-3681-420e-a483-4823424eef45",
"colorFill": "#797d85",
"colorStroke": "#64666a",
"licenceNumbers": [
{
"state": "IL",
"type": "",
"number": "<string>"
}
],
"outOfOffice": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}Staff
Search firm staff members
Retrieves a paginated list of staff members (filtered based on search parameters provided) in the firm associated with the authenticated client.
GET
/
staff
Search firm staff members
curl --request GET \
--url https://api.smokeball.com/staff \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/staff"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/staff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smokeball.com/staff",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.smokeball.com/staff"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.smokeball.com/staff")
.header("x-api-key", "<api-key>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smokeball.com/staff")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"versionId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"title": "Mr",
"firstName": "John",
"middleName": "",
"lastName": "Smith",
"initials": "JS",
"phone": {
"areaCode": "555",
"number": "1234567"
},
"cell": {
"areaCode": "555",
"number": "1234567"
},
"email": "john.smith@brown.com",
"role": "Bookkeeper",
"rate": 150,
"avatar": "https://example-avatar-url.com/image",
"former": false,
"enabled": true,
"userId": "14b5dd57-3681-420e-a483-4823424eef45",
"colorFill": "#797d85",
"colorStroke": "#64666a",
"licenceNumbers": [
{
"state": "IL",
"type": "",
"number": "<string>"
}
],
"outOfOffice": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}Query Parameters
Response
200 - application/json
When request is successful. Returns a paged collection of 'Staff' objects.